import { Renderable, type Renderer as RendererType, RendererBase } from '@knapsack/app/renderers';
import { type CodeSrcUserConfig } from '@knapsack/types';
type Renderer = RendererType<'html'>;
export declare class KnapsackHtmlRenderer extends RendererBase<'html'> implements Renderable<'html'> {
    constructor({ codeSrcs, }?: {
        codeSrcs?: CodeSrcUserConfig[];
    });
    render: Renderer['render'];
    getUsage: Renderer['getUsage'];
    getDiscovery: Renderer['getDiscovery'];
    getTemplateSuggestions: Renderer['getTemplateSuggestions'];
    getMeta: Renderer['getMeta'];
}
export {};
//# sourceMappingURL=index.d.ts.map